{
  "name": "taranta-auth",
  "version": "0.1.9",
  "description": "",
  "main": "index.js",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/tango-controls/web/taranta-auth"
  },
  "scripts": {
    "quick-lint": "eslint --ignore-path .gitignore .; exit 0",
    "linting": "eslint --ignore-path .gitignore . -f 'junit' -o linting.xml",
    "test": "jest --ci --reporters=default --reporters=jest-junit",
    "coverage": "jest --ci --colors --coverage --coverageDirectory=build/coverage"
  },
  "author": "",
  "license": "ISC",
  "dependencies": {
    "acorn": "^6.3.0",
    "body-parser": "^1.19.0",
    "cookie-parser": "^1.4.4",
    "dotenv": "^6.2.0",
    "express": "^4.17.1",
    "jsonwebtoken": "^8.5.1",
    "passport": "^0.4.0",
    "passport-ldapauth": "^2.1.3",
    "passport-local": "^1.0.0",
    "typescript": "^3.7.2"
  },
  "devDependencies": {
    "@typescript-eslint/eslint-plugin": "^2.7.0",
    "@typescript-eslint/parser": "^2.7.0",
    "eslint": "^6.6.0",
    "eslint-config-airbnb": "^18.0.1",
    "eslint-config-airbnb-base": "^14.0.0",
    "eslint-plugin-import": "^2.18.2",
    "eslint-plugin-jsx-a11y": "^6.2.3",
    "eslint-plugin-react": "^7.16.0",
    "eslint-plugin-react-hooks": "^1.7.0",
    "jest": "^24.9.0",
    "jest-junit": "^9.0.0",
    "supertest": "^4.0.2"
  },
  "jest": {
    "coverageReporters": [
      "text",
      "cobertura",
      "html"
    ],
    "testEnvironment": "node",
    "coveragePathIgnorePatterns": [
      "/node_modules/"
    ]
  }
}
